/**
 * Copyright (C) 2002
 */


import org.objectweb.util.monolog.Monolog;
import org.objectweb.util.monolog.api.BasicLevel;
import org.objectweb.util.monolog.api.Logger;
import org.objectweb.util.monolog.api.LoggerFactory;


//import java.util.Properties;
//import java.io.FileInputStream;

/**
 *
 * @author Sebastien Chassande-Barrioz
 */
public class Simple {
	public static void main(String[] args) {
		if (args.length < 1) {
			System.out.println("Syntax error !");
			System.out.println(
				"java Simple <monolog file name> [-useClassPath]");
			System.exit(1);
		}
		LoggerFactory lf = null;
		try {
			lf = Monolog.init(args[0]);
		}
		catch (Exception e) {
			e.printStackTrace();
			System.exit(-1);
		}
		Simple s = new Simple();
		s.setLogger(lf.getLogger(s.getClass().getName()),(lf.getLoggers())[0]);
		s.foo();
		s.bar();
	}

	protected Logger logger = null;
	protected Logger root = null;

	public Simple() {
	}

	public void setLogger(Logger l, Logger r ) {
		logger = l;
        root= r;
	}

	public void foo() {
		if (root.isLoggable(BasicLevel.DEBUG)) {
			System.out.println("root is Loggable!");
        	root.log(BasicLevel.DEBUG, "foo : hello my root logger");
		}
		logger.log(BasicLevel.INFO, "foo : hello my favourite logger");
	}

	public void bar() {
        root.log(BasicLevel.WARN, "bar : root warning !");
		logger.log(BasicLevel.ERROR, "This is a throwed exception",
			new Throwable().fillInStackTrace());
	}

	private static void debug(String m) {
		//System.out.println(m);
	}
}
